import { jsx } from "react/jsx-runtime";
import { TokenTONIC as TokenTONIC$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenTONIC = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "TONIC", "data-name": "TokenTONIC", ...props, children: /* @__PURE__ */ jsx(TokenTONIC$1, { variant }) });
  }
);
TokenTONIC.displayName = "TokenTONIC";
Object.assign(TokenTONIC, { isGdsIcon: true });
export {
  TokenTONIC
};
